<?php
/**
* @package       Google Tracking Systems
* @author        Joaquín Martín
* @publisher     IBIZAtic.me - Joaquín Martín
* @authorUrl     https://ibizatic.me
* @authorEmail   webmaster@ibizatic.me
* @copyright     copyright (C) 2019-2024 Joaquín Martín
* @license       This extension in released under the GNU/GPL License - http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL 3.0
*/

defined('_JEXEC') or die;
jimport( 'joomla.plugin.plugin');

class plgSystemIBIZAtic_GAnalytics extends JPlugin {

	function onAfterRender(){

		$app = JFactory::getApplication();
		$property_id = $this->params->get('property_id', '');
		$container_id = $this->params->get('container_id', '');
		if(($app->isAdmin() AND !$this->params->get('track_administrator', '0')) || strpos($_SERVER["PHP_SELF"], "index.php") === false || $property_id == ''){
			return true;
		}
		if($this->params->get('tracking_system', '1') == '1'){
			$analytics_code = "<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', '" . $property_id . "');
ga('send', 'pageview');
</script>
";
		}else if ($this->params->get('tracking_system', '2') == '2'){
			$analytics_code = "<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','" . $container_id . "');</script>
<!-- End Google Tag Manager -->
";
		}else{
			$analytics_code = "
<script type=\"text/javascript\">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '" . $property_id . "']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>
";
		}
		$html = JResponse::getBody();
		$html = preg_replace("/<\/head>/", $analytics_code . "</head>", $html);
		if ($this->params->get('tracking_system', '2') == '2'){
			$analytics_body_code = "<!-- Google Tag Manager (noscript) -->
<noscript><iframe src=\"https://www.googletagmanager.com/ns.html?id=" . $container_id . "\"
height=\"0\" width=\"0\" style=\"display:none;visibility:hidden\"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
";
			$html = preg_replace("/<\/body>/", $analytics_body_code . "</body>", $html);
		}
		JResponse::setBody($html);
		return true;

	}

}

?>
